#ifndef __LM7000_H
#define __LM7000_H

#include "misc.h"

sbit LM7000_CE   = P1^0;
sbit LM7000_CLK  = P1^1; // >1.5uS
sbit LM7000_DATA = P1^2; // Lsb first

#define LM7000_DELAY()  _nop_();_nop_()

#define FM  0
#define AM  1

//AMƵʷΧ531kHz1602kHz 9KHz Ƶ450KHz
#define AM_FREQ_MIN  (531000UL)
#define AM_FREQ_MAX  (1602000UL)
#define AM_FIF       (450000UL)

//FMƵʷΧ87MHz108MHz 100KHz Ƶ10.7MHz
#define FM_FREQ_MIN  (87000000UL)
#define FM_FREQ_MAX  (108000000UL)
#define FM_FIF       (10700000UL)

extern u8 band;
extern u32 am_rx_freq;
extern u32 fm_rx_freq;
extern u32 am_fref;
extern u32 fm_fref;

void lm7000_init(void);
void lm7000_set_band(void);
void lm7000_set_freq(void);

#endif
